
stages:
  - quality
  - release
  - deploy

variables:
  PYLINT_RCFILE: null

pylint:
  stage: quality
  needs: []
  before_script:
    - pip install pylint pylint-exit --quiet
  script:
    # --rcfile=.pylintrc
    - pylint -r n infrapi | tee pylint-report.txt || pylint-exit --error-fail $?
    - PYLINT_SCORE=$(sed -n 's/^Your code has been rated at \([-0-9.]*\)\/.*/\1/p' ./pylint-report.txt)
    - PYLINT_PERCENTAGE=$(echo $PYLINT_SCORE | python3 -c "import sys; print(int(10*float(sys.stdin.read())))")
    - echo "PYLINT SCORE $PYLINT_PERCENTAGE"
  coverage: '/^PYLINT\sSCORE\s(\d+)$/'
  allow_failure: false
